# $Revision: 1.20 $, $Date: 2003/09/03 14:24:18 $
Summary:	A sparc32/sparc64 compilation environment
Summary(pl):	rodowisko kompilacji sparc32/sparc64
Name:		sparc32
Version:	1.1
Release:	7
License:	GPL
Group:		Base
Source0:	http://linux.auxio.org/SOURCES/%{name}-%{version}.tgz
# Source0-md5:	1e6dc2f7102f53cd7e5f90acbe8232e8
Patch0:		%{name}-fhs.patch
Patch1:		%{name}-include.patch
ExclusiveOS:	Linux
ExclusiveArch:	sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
sparc32 is a simple utility for compiling sparc32 packages on sparc64
machines. It creates an environment for the specified program (shell)
and all child processes, where uname -m returns sparc, so that one can
create 32bit sparc programs.

%description -l pl
sparc32 to mae narzdzie do kompilowania pakietw sparc32 na
maszynach sparc64. Tworzy rodowisko dla podanego programu (shella) i
procesw potomnych, gdzie uname -m zwraca "sparc", co pozwala tworzy
32-bitowe sparcowe programy.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sparc32.spec,v $
Revision 1.20  2003/09/03 14:24:18  mmazur
- rel 7 for ac

Revision 1.19  2003/07/20 08:52:23  misi3k
- rel 6
- added patch1 (fix compilation)

Revision 1.18  2003/06/16 19:51:24  malekith
- added src-md5

Revision 1.17  2003/05/25 06:26:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:15:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/10/09 12:47:41  qboosh
- don't gzip man pages in spec - rpm does

Revision 1.13  2001/10/03 08:59:36  qboosh
- added Source URL and pl translations

Revision 1.12  2001/08/22 17:28:51  filon
- removed stripping executables, it's done by rpm automation

Revision 1.11  2000/08/31 00:56:43  kloczek
- updated to 1.1 (release 5),
- added gzipping man pages.

Revision 1.10  2000/08/07 23:00:14  baggins
- fixed rpm Group

Revision 1.9  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.5  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.

* Thu Oct 29 1998 Jakub Jelinek <jj@ultra.linux.cz>
- new package
